# Class Stilts

java.lang.Object
uk.ac.starlink.ttools.Stilts

public class Stilts extends Object
Top-level class for invoking tasks in the STILTS package. Invoking the main() method with no arguments will write a usage message.

Since:
  17 Aug 2005
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`VERSION_RESOURCE`

## Constructor Summary

Constructors
Constructor
Description
`Stilts()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addStandardSchemes(uk.ac.starlink.table.StarTableFactory tfact)`
Adds the table schemes specific to STILTS to the given table factory.
`static uk.ac.starlink.util.ObjectFactory<ProcessingMode>`
`getModeFactory()`
Returns the factory which can create any of the known output modes.
`static uk.ac.starlink.util.ObjectFactory<TypedPlot2Task<?,?>>`
`getPlot2TaskFactory()`
Returns the factory which can create plot2 tasks.
`static uk.ac.starlink.table.TableScheme[]`
`getStandardSchemes()`
Returns a list of the TableSchemes which are supposed to be available within the Stilts application, but are not in a default StarTableFactory.
`static String`
`getStarjavaRevision()`
Returns the revision string for the starjava repository, if available.
`static uk.ac.starlink.util.ObjectFactory<uk.ac.starlink.task.Task>`
`getTaskFactory()`
Returns the factory which can create any of the known tasks.
`static String`
`getVersion()`
Returns the version number for the STILTS package.
`static void`
`main(String[] args)`
Main method.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VERSION_RESOURCE

public static final String VERSION_RESOURCE

See Also:
  - Constant Field Values

## Constructor Details

### Stilts

public Stilts()

## Method Details

### main

public static void main(String[] args)
Main method. Invoked with no arguments, a usage message will be output.

Parameters:
  `args` - argument vector

### getModeFactory

public static uk.ac.starlink.util.ObjectFactory<ProcessingMode> getModeFactory()
Returns the factory which can create any of the known output modes.

Returns:
  factory which creates processing modes

### getTaskFactory

public static uk.ac.starlink.util.ObjectFactory<uk.ac.starlink.task.Task> getTaskFactory()
Returns the factory which can create any of the known tasks.

Returns:
  factory which creates tasks

### getPlot2TaskFactory

public static uk.ac.starlink.util.ObjectFactory<TypedPlot2Task<?,?>> getPlot2TaskFactory()
Returns the factory which can create plot2 tasks.

Returns:
  plot2 task factory

### getStandardSchemes

public static uk.ac.starlink.table.TableScheme[] getStandardSchemes()
Returns a list of the TableSchemes which are supposed to be available within the Stilts application, but are not in a default StarTableFactory.

Returns:
  list of schemes

### addStandardSchemes

public static void addStandardSchemes(uk.ac.starlink.table.StarTableFactory tfact)
Adds the table schemes specific to STILTS to the given table factory. This utility method just adds each element of the result of `getStandardSchemes()`.

Parameters:
  `tfact` - table factory

### getVersion

public static String getVersion()
Returns the version number for the STILTS package.

Returns:
  version string

### getStarjavaRevision

public static String getStarjavaRevision()
Returns the revision string for the starjava repository, if available.

Returns:
  revision string